/*
 * Alert
 *
 * Provide contextual feedback messages for typical user actions
 * with the handful of available and flexible alert messages.
 *
 * Default Alert color is Information colors
 *
 * Index
 * - Alert
 * - Alert icon
 * - Alert description
 * - Alert link
 * - Alert title
 * - Alert feedback
 *
 */


/* ALERT
 -------------------- */

.alert {
  position: relative;
  display: flex;
  align-items: flex-start;
  padding: 0.5rem 1rem 0.5rem 0.5rem;
  font-family: var(--road-font);
  font-size: var(--road-body-medium);
  line-height: 1.25;
  color: var(--road-on-info-surface);
  background: var(--road-info-surface);
  border: 1px solid var(--road-info-outline);
  border-radius: 0.25rem;
  fill: var(--road-info-default);
}

/* ALERT ICON
 -------------------- */

.alert-icon {
  flex-shrink: 0;
  width: 2rem;
  height: 2rem;
  margin-right: 0.5rem;
}

/* ALERT TITLE
 -------------------- */

.alert-title {
  padding: 0.375rem 0 0;
  font-weight: 700;
}

/* ALERT DESCRIPTION
 -------------------- */

.alert-description {
  padding: 0.375rem 0;
  margin: 0;
}

/* ALERT LINK
 -------------------- */

.alert-link {
  display: block;
  margin: 0;
  color: var(--road-on-surface);
}

/* ALERT FEEDBACK
 -------------------- */

/**
 * Alert info
 */

.alert-info {
  color: var(--road-on-info-surface);
  background: var(--road-info-surface);
  border-color: var(--road-info-outline);
  fill: var(--road-info-default);
}

.alert-info .btn{
  color: var(--road-on-info-surface-inverse);
  background: var(--road-info-surface-inverse);
  fill: var(--road-on-info-surface-inverse);
}

.alert-info .alert-link{
  color: var(--road-on-info-surface);
}


/**
 * Alert success
 */

.alert-success {
  color: var(--road-on-success-surface);
  background: var(--road-success-surface);
  border-color: var(--road-success-outline);
  fill: var(--road-success-icon);
}

.alert-success .btn{
  color: var(--road-on-success-surface-inverse);
  background: var(--road-success-surface-inverse);
  fill: var(--road-on-success-surface-inverse);
}

.alert-success .alert-link{
  color: var(--road-on-success-surface);
}

/**
 * Alert warning
 */

.alert-warning {
  color: var(--road-on-warning-surface);
  background: var(--road-warning-surface);
  border-color: var(--road-warning-outline);
  fill: var(--road-warning-icon);
}

.alert-warning .btn{
  color: var(--road-on-warning-surface-inverse);
  background: var(--road-warning-surface-inverse);
  fill: var(--road-on-warning-surface-inverse);
}

.alert-warning .alert-link{
  color: var(--road-on-warning-surface);
}

/**
 * Alert danger
 */

.alert-danger {
  color: var(--road-on-danger-surface);
  background: var(--road-danger-surface);
  border-color: var(--road-danger-outline);
  fill: var(--road-danger-icon);
}

.alert-danger .btn{
  color: var(--road-on-danger-surface-inverse);
  background: var(--road-danger-surface-inverse);
  fill: var(--road-on-danger-surface-inverse);
}

.alert-danger .alert-link{
  color: var(--road-on-danger-surface);
}
